#include <bits/stdc++.h>

using namespace std;

vector<int> solve(vector<int> a){
    int n = a.size();

    vector<pair<int,int>> b(n);
    for(int i=0;i<n;i++) b[i] = {a[i],i};
    sort(b.begin(),b.end(),greater<pair<int,int>>());

    int sum = 0;
    for(int i=0;i<n;i++) sum += a[i];
    
    vector<int> res;
    for(int i=0;i<n-1;i++){
        if(i==((n-1)/2)){
            res.push_back(n-1);
        }
        res.push_back(i);
    }
    return res;
}
